%define subrel		1

%define major		6
%define libname		%mklibname %{name} %{major}

%define libplus_major	3
%define libplus		%mklibname mlt++ %{libplus_major}

%define libnamedev	%mklibname %{name} -d

Name:		mlt
Version:	6.24.0
Release:	%mkrel 2
Summary:	Media Lovin' Toolkit
License:	LGPLv2+ and GPLv2+
Group:		Video/Editors and Converters
Url:		https://www.mltframework.org
Source0:	https://github.com/mltframework/mlt/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	ffmpeg-devel
BuildRequires:	imagemagick
BuildRequires:	ladspa-devel
BuildRequires:	libatomic-devel
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	pkgconfig(libebur128)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(frei0r)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libdv)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libquicktime)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(movit)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(rubberband)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(sox)
BuildRequires:	pkgconfig(vidstab)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	qtbase5-common-devel
# For python-bindings
BuildRequires:	swig
BuildRequires:	pkgconfig(python3)

%description
MLT is an open source multimedia framework, designed and developed for
television broadcasting.

It provides a toolkit for broadcasters, video editors, media players,
transcoders, web streamers and many more types of applications. The
functionality of the system is provided via an assortment of ready to
use tools, xml authoring components, and an extendible plug-in based
API.

%package kdenlive
Summary:	Media Lovin' Toolkit
Group:		Video/Editors and Converters
Conflicts:	%{name} < 0.8.8-2

%description kdenlive
MLT is an open source multimedia framework, designed and developed for
television broadcasting.

It provides a toolkit for broadcasters, video editors, media players,
transcoders, web streamers and many more types of applications. The
functionality of the system is provided via an assortment of ready to
use tools, xml authoring components, and an extendible plug-in based
API.

This package contains plugins aimed to be used by kde apps.

%package -n %{libname}
Summary:	Main library for mlt
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with mlt.

%package -n %{libplus}
Summary:	Main library for mlt++
Group:		System/Libraries

%description -n %{libplus}
This package contains the libraries needed to run programs dynamically
linked with mlt++.

%package -n %{libnamedev}
Summary:	Headers for developing programs that will use mlt
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{libplus} = %{version}
# mlt-config requires stuff from %%{_datadir}/%%{name}
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use mlt.

%package -n python3-%{name}
Summary:	Python 3 bindings for MLT
Group:		Development/Python
Requires:	python3
Requires:	%{name} = %{version}-%{release}

Obsoletes:	python2-mlt < 6.18.0
Provides:	python-mlt = %{version}-%{release}

%description -n python3-%{name}
This module allows to work with MLT using python 3.

%prep
%autosetup -p1

%build
%configure \
	--disable-debug \
	--enable-gpl \
	--enable-gpl3 \
%ifnarch x86_64
	--disable-mmx \
	--disable-sse \
	--disable-sse2 \
%endif
	--luma-compress \
	--enable-avformat \
	--avformat-shared=%{_prefix} \
	--avformat-swscale \
	--enable-motion-est \
	--swig-languages='python' \
	--qimage-includedir=%{_qt5_includedir} --qimage-libdir=%{_qt5_libdir} \
	--qt-includedir=%{_qt5_includedir} --qt-libdir=%{_qt5_libdir}
%make_build

%install
%make_install

#man page
install -Dpm644 docs/melt.1 %{buildroot}%{_mandir}/man1/melt.1

#python bindings
install -d %{buildroot}%{python3_sitearch}
install -pm 0644 src/swig/python/%{name}.py* %{buildroot}%{python3_sitearch}/
install -pm 0755 src/swig/python/_%{name}.so %{buildroot}%{python3_sitearch}/

%files
%doc docs/*.txt README
%license COPYING
%{_bindir}/melt
%{_datadir}/mlt
%{_libdir}/mlt/
%{_mandir}/man1/melt.1*
%exclude %{_libdir}/mlt/libmltkdenlive.so

%files kdenlive
%{_libdir}/mlt/libmltkdenlive.so

%files -n %{libname}
%{_libdir}/libmlt.so.%{major}{,.*}
%{_libdir}/libmlt.so.%{version}

%files -n %{libplus}
%{_libdir}/libmlt++.so.%{libplus_major}{,.*}
%{_libdir}/libmlt++.so.%{version}

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n python3-%{name}
%{python3_sitearch}/*
